Uploaded image for project: 'Thorntail'
  1. Thorntail
  2. THORN-491

Cannot use Arquillian Wildfly Swarm Container with Gradle

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2016.11.0
    • Component/s: None
    • Labels:
    • Sprint:
      2016.9, 2016.11

      Description

      Cannot use Arquillian Wildfly Swarm Container with Gradle since it throws an exception regarding it cannot resolve pom.xml.

      The approach to fix it is by using this: https://discuss.gradle.org/t/getting-dependencies-using-gradle-tooling/17793/2 and just do a check if there is a build.gradle file or pom.xml file and act accordantly at https://github.com/wildfly-swarm/wildfly-swarm-core/blob/master/arquillian/api/src/main/java/org/wildfly/swarm/arquillian/adapter/WildFlySwarmObserver.java#L66

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  heiko.braun Heiko Braun
                  Reporter:
                  asotobu Alex Soto
                • Votes:
                  2 Vote for this issue
                  Watchers:
                  7 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: